List of workflow events.













Beta Workflows Events Endpoints
Stream and list workflow execution events.












Examples
Real world code examples
Get Stream Events
GET /v1/workflows/events/stream
200
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnullGet Workflow Events
GET /v1/workflows/events/list
200
Successful Response
events
next_cursor
Cursor for pagination.
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"events": [
{
"attributes": {
"input": {
"value": null
},
"task_id": "ipsum eiusmod",
"workflow_name": "consequat do"
},
"event_id": "reprehenderit ut dolore",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "occaecat dolor sit",
"workflow_exec_id": "nostrud",
"workflow_name": "aute aliqua aute commodo",
"workflow_run_id": "irure"
}
]
}{
"events": [
{
"attributes": {
"input": {
"value": null
},
"task_id": "ipsum eiusmod",
"workflow_name": "consequat do"
},
"event_id": "reprehenderit ut dolore",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "occaecat dolor sit",
"workflow_exec_id": "nostrud",
"workflow_name": "aute aliqua aute commodo",
"workflow_run_id": "irure"
}
]
}